# Authorize a Card

> This endpoint authorizes card payments and has three main use cases: * • Authorize a payment using an unsaved payment method for a guest or logged-in shopper. * • Authorize a payment using a saved payment method for a logged-in shopper. * • Re-charge a previous transaction using the `credit_card_id` of the transaction.

Source: https://help.boltapp.com/api-reference/endpoints/transactions/authorizetransaction

`POST /v1/merchant/transactions/authorize`

## OpenAPI definition

This endpoint as it appears in the OpenAPI document, with every schema it references included.

```json
{
  "openapi": "3.2.0",
  "info": {
    "version": "1.0.1",
    "title": "Bolt API Reference",
    "description": "Postman Collection:\n\n[![](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/9136127-55d2bde1-a248-473f-95b5-64cfd02fb445?action=collection%2Ffork&collection-url=entityId%3D9136127-55d2bde1-a248-473f-95b5-64cfd02fb445%26entityType%3Dcollection%26workspaceId%3D78beee89-4238-4c5f-bd1f-7e98978744b4#?env%5BBolt%20Sandbox%20Environment%5D=W3sia2V5IjoiYXBpX2Jhc2VfdXJsIiwidmFsdWUiOiJodHRwczovL2FwaS1zYW5kYm94LmJvbHQuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6InRrX2Jhc2UiLCJ2YWx1ZSI6Imh0dHBzOi8vc2FuZGJveC5ib2x0dGsuY29tIiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfSx7ImtleSI6ImFwaV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggQVBJIGtleT4iLCJ0eXBlIjoic2VjcmV0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJwdWJsaXNoYWJsZV9rZXkiLCJ2YWx1ZSI6IjxyZXBsYWNlIHdpdGggeW91ciBCb2x0IFNhbmRib3ggcHVibGlzaGFibGUga2V5PiIsInR5cGUiOiJkZWZhdWx0IiwiZW5hYmxlZCI6dHJ1ZX0seyJrZXkiOiJkaXZpc2lvbl9pZCIsInZhbHVlIjoiPHJlcGxhY2Ugd2l0aCB5b3VyIEJvbHQgU2FuZGJveCBwdWJsaWMgZGl2aXNpb24gSUQ+IiwidHlwZSI6ImRlZmF1bHQiLCJlbmFibGVkIjp0cnVlfV0=)\n\n## About\n A comprehensive Bolt API reference for interacting with Transactions, Orders, Product Catalog, Configuration, Testing, and much more.\n\n Note: You must also reference the [Merchant Callback API](/api-merchant) when building a managed checkout custom cart integration\n"
  },
  "servers": [
    {
      "url": "https://api.boltapp.com",
      "description": "The Production URL (Live Data)."
    },
    {
      "url": "https://api-sandbox.boltapp.com",
      "description": "The Sandbox URL (Test Data)."
    },
    {
      "url": "https://api-staging.boltapp.com",
      "description": "The Staging URL (Staged Data)."
    }
  ],
  "security": [
    {
      "X-API-Key": []
    },
    {
      "OAuth": [
        "bolt.account.manage",
        "bolt.account.view"
      ]
    }
  ],
  "paths": {
    "/v1/merchant/transactions/authorize": {
      "post": {
        "description": "This endpoint authorizes card payments and has three main use cases:\n* • Authorize a payment using an unsaved payment method for a guest or logged-in shopper.\n* • Authorize a payment using a saved payment method for a logged-in shopper.\n*  • Re-charge a previous transaction using the `credit_card_id` of the transaction.\n",
        "operationId": "authorizeTransaction",
        "parameters": [
          {
            "$ref": "#/components/parameters/x-publishable-key"
          },
          {
            "$ref": "#/components/parameters/idempotency_key"
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "oneOf": [
                  {
                    "$ref": "#/components/schemas/merchant_credit_card_authorization"
                  },
                  {
                    "$ref": "#/components/schemas/merchant_credit_card_authorization_recharge"
                  }
                ]
              }
            }
          },
          "description": "**Authorize a Transaction**\n* • `merchant_credit_card_authorization`: For authorizing with a new, unsaved card. This can be for a guest checkout flow, one-time payment, or an existing Bolt shopper.\n* • `merchant_credit_card_authorization_recharge`: For authorizing a card using a shoppers saved payment methods.\n* • **Anytime the shopper is paying while logged-in attach their OAuth `access_token` to the request.**\n"
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/i_authorize_result_view"
                }
              }
            },
            "description": "Authorization Successful"
          }
        },
        "security": [
          {
            "OAuth": [],
            "X-API-Key": []
          }
        ],
        "summary": "Authorize a Card",
        "tags": [
          "Transactions"
        ]
      }
    }
  },
  "components": {
    "parameters": {
      "x-publishable-key": {
        "description": "The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard [RECOMMENDED].",
        "in": "header",
        "name": "X-Publishable-Key",
        "required": false,
        "schema": {
          "type": "string"
        }
      },
      "idempotency_key": {
        "description": "A key created by merchants that ensures `POST` and `PATCH` requests are only performed once. [Read more about Idempotent Requests here](/developers/references/idempotency/).",
        "in": "header",
        "name": "Idempotency-Key",
        "required": false,
        "schema": {
          "type": "string"
        }
      }
    },
    "schemas": {
      "merchant_credit_card_authorization": {
        "description": "This request is used for authorizing a new, unsaved card.",
        "properties": {
          "auto_capture": {
            "type": "boolean",
            "description": "This property determines how the transaction is processed after authorization. If set to `true`, the transaction is placed in a queue for automatic capture. This process is asynchronous, meaning the transaction may not immediately appear as captured after the authorization request. This is because the transaction is in a transitional state as it moves from authorization to capture. If `auto_capture` is set to `false`, the transaction is only authorized and must be manually captured."
          },
          "cart": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cart_create"
              },
              {
                "description": "The cart_create object is a composite of the base_cart object and additional order details."
              }
            ]
          },
          "create_bolt_account": {
            "description": "If `true`, the guest shopper is provided a Bolt Account using their email address as its unique ID; if `false`, no information is saved at checkout.",
            "type": "boolean"
          },
          "credit_card": {
            "$ref": "#/components/schemas/credit_card"
          },
          "division_id": {
            "description": "The unique ID associated to the merchant's Bolt Account division; Merchants can have different divisions to suit multiple use cases (storefronts, pay-by-link, phone order processing). Use the Bolt Merchant Dashboard to switch between divisions and find the division ID under `Merchant Division Public ID`.",
            "type": "string",
            "examples": [
              "3X9aPQ67-YrB"
            ]
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "previous_transaction_id": {
            "$ref": "#/components/schemas/previous_subscription_id"
          },
          "processing_initiator": {
            "description": "Determines who initiated the transaction (e.g. shopper, merchant) and how they did it (e.g. recurring subscription, on-file card).\n\n* `initial_card_on_file` - The first transaction made for a card. The system then saves this card for future transactions.\n* `initial_recurring` - The first time any card is used to pay for a recurring charge. For example, a subscription.\n* `stored_cardholder_initiated` - The subsequent (second, third, etc.) transactions a shopper initiates with a stored card. This includes every situation during which a cardholder requests a charge, for example if the cardholder requests a merchant charge their card.\n* `stored_merchant_initiated` - The subsequent (second, third, etc.) transactions a merchant initiates with a stored card only when the cardholder does not request the charge. For example, when a customer service representative buys on behalf of a shopper or when a business adds funds to a public transit card.\n* `following_recurring` - The subsequent (second, third, etc.) transactions  a card is used to pay for a recurring charge. For example, a subscription.\n* `cardholder_initiated` - When a cardholder begins a transaction that isn’t stored in Bolt and won’t be stored in Bolt for future transactions.\n* `recurring` - Any time a card is used to pay for a recurring charge (for example, a subscription). Only use this value when you don’t know if it’s the first recurring charge.\n",
            "enum": [
              "initial_card_on_file",
              "initial_recurring",
              "stored_cardholder_initiated",
              "stored_merchant_initiated",
              "following_recurring",
              "cardholder_initiated",
              "recurring"
            ],
            "type": "string"
          },
          "shipping_address": {
            "$ref": "#/components/schemas/address"
          },
          "source": {
            "enum": [
              "direct_payments"
            ],
            "type": "string"
          },
          "user_identifier": {
            "$ref": "#/components/schemas/user_identifier"
          },
          "user_identity": {
            "$ref": "#/components/schemas/user_identity"
          }
        },
        "required": [
          "cart",
          "credit_card",
          "division_id",
          "source",
          "user_identifier",
          "user_identity",
          "create_bolt_account"
        ],
        "type": "object"
      },
      "cart_create": {
        "allOf": [
          {
            "$ref": "#/components/schemas/base_cart"
          },
          {
            "properties": {
              "cart_url": {
                "description": "Used to provide a link to the cart ID.",
                "maxLength": 8192,
                "type": "string",
                "examples": [
                  "https://boltswagstore.com/orders/123456765432"
                ]
              },
              "currency": {
                "type": "string",
                "examples": [
                  "USD"
                ]
              },
              "display_id": {
                "description": "This field, although required, can be an empty string.",
                "maxLength": 128,
                "type": "string",
                "examples": [
                  "displayid_100"
                ]
              },
              "metadata": {
                "additionalProperties": {
                  "type": "string"
                },
                "description": "Optional custom metadata.",
                "type": "object",
                "examples": [
                  {
                    "key1": "value1",
                    "key2": "value2"
                  }
                ]
              },
              "order_description": {
                "description": "Used optionally to pass additional information like order numbers or other IDs as needed.",
                "maxLength": 1024,
                "type": "string",
                "examples": [
                  "Order #1234567890"
                ]
              },
              "order_reference": {
                "description": "This value is used by Bolt as an external reference to a given order. This reference must be unique per successful transaction.",
                "type": "string",
                "examples": [
                  "order_100"
                ]
              }
            },
            "required": [
              "currency",
              "order_reference"
            ],
            "type": "object"
          }
        ]
      },
      "base_cart": {
        "description": "The base_cart object contains the core details typically found in most cart objects, including items, discounts, amount totals, shipments, and in-store pickups.",
        "properties": {
          "add_ons": {
            "items": {
              "$ref": "#/components/schemas/cart_add_on"
            },
            "type": "array"
          },
          "billing_address": {
            "$ref": "#/components/schemas/address"
          },
          "discounts": {
            "items": {
              "$ref": "#/components/schemas/cart_discount"
            },
            "type": "array"
          },
          "fees": {
            "items": {
              "$ref": "#/components/schemas/cart_fee"
            },
            "type": "array"
          },
          "fulfillments": {
            "items": {
              "$ref": "#/components/schemas/fulfillment"
            },
            "type": "array"
          },
          "in_store_cart_shipments": {
            "items": {
              "$ref": "#/components/schemas/in_store_cart_shipment"
            },
            "type": "array"
          },
          "items": {
            "description": "The list of items associated with the cart.",
            "items": {
              "$ref": "#/components/schemas/cart_item"
            },
            "type": "array"
          },
          "loyalty_rewards": {
            "items": {
              "$ref": "#/components/schemas/cart_loyalty_rewards"
            },
            "type": "array"
          },
          "shipments": {
            "items": {
              "$ref": "#/components/schemas/cart_shipment"
            },
            "type": "array"
          },
          "tax_amount": {
            "description": "The total tax amount for all of the items associated with the cart.",
            "format": "int64",
            "type": "number"
          },
          "total_amount": {
            "description": "The total amount, in cents, of the cart including its items and taxes (if applicable), e.g. $9.00 is 900. This total must match the sum of all other amounts.",
            "format": "int64",
            "type": "number",
            "examples": [
              900
            ]
          }
        },
        "required": [
          "total_amount"
        ],
        "type": "object"
      },
      "cart_add_on": {
        "description": "A list of up to 3 add-ons that are displayed to the shopper.",
        "properties": {
          "description": {
            "description": "The description of the product being displayed as an add on.",
            "maxLength": 256,
            "type": "string"
          },
          "imageUrl": {
            "description": "The URL of the image displayed for the add on product.",
            "maxLength": 1024,
            "type": "string"
          },
          "name": {
            "description": "The name of the product being displayed as an add on.",
            "maxLength": 256,
            "type": "string"
          },
          "price": {
            "description": "The price of the product add on in cents (1/100).",
            "format": "int64",
            "type": "number"
          },
          "productId": {
            "description": "The the ID of the product being displayed as an add on.",
            "maxLength": 256,
            "type": "string"
          },
          "productPageUrl": {
            "description": "The URL to the product page of the product being displayed as an add on.",
            "maxLength": 1024,
            "type": "string"
          }
        },
        "required": [
          "name",
          "productId",
          "price"
        ],
        "type": "object"
      },
      "address": {
        "description": "The Address object is used for billing, shipping, and physical store address use cases.",
        "properties": {
          "company": {
            "description": "The company name associated with this address.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "Bolt"
            ]
          },
          "country": {
            "description": "The name of the country associated with this address.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "United States"
            ]
          },
          "country_code": {
            "description": "The ISO 3166-1 alpha-2 country code associated with this address.",
            "maxLength": 2,
            "minLength": 2,
            "type": "string",
            "examples": [
              "US"
            ]
          },
          "default": {
            "description": "Whether the added address is now the default address.",
            "type": "boolean",
            "examples": [
              true
            ]
          },
          "door_code": {
            "$ref": "#/components/schemas/door_code"
          },
          "email": {
            "description": "The email address associated with this address.",
            "$ref": "#/components/schemas/email"
          },
          "first_name": {
            "description": "The given name of the person associated with this address.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "Alan"
            ]
          },
          "last_name": {
            "description": "The surname of the person associated with this address.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "Watts"
            ]
          },
          "locality": {
            "description": "The city name details associated with this address.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "Brooklyn"
            ]
          },
          "name": {
            "description": "The given and surname of the person associated with this address.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "Alan Watts"
            ]
          },
          "phone": {
            "description": "The phone number associated with this address.",
            "$ref": "#/components/schemas/phone"
          },
          "postal_code": {
            "description": "The the postal or zip code associated with this address.",
            "maxLength": 32,
            "type": "string",
            "examples": [
              "10044"
            ]
          },
          "region": {
            "description": "**Not Required for NON US addresses**. The region details such as state or province associated with this address.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "NY"
            ]
          },
          "region_code": {
            "description": "The ISO 3166-2 region code associated with this address.\n  - * If specified, value must be valid for the `country`.\n  - * If null, value is inferred from the `region`.\n",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "NY"
            ]
          },
          "street_address1": {
            "description": "The street number and street name of the address.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "888 main street"
            ]
          },
          "street_address2": {
            "description": "Any apartment, floor, or unit details.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "apt 3021"
            ]
          },
          "street_address3": {
            "description": "Any additional street address details.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "c/o Alicia Watts"
            ]
          },
          "street_address4": {
            "description": "Any additional street address details.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bridge Street Apartment Building B"
            ]
          }
        },
        "required": [
          "street_address1",
          "locality",
          "region",
          "country_code",
          "postal_code",
          "email",
          "first_name",
          "last_name"
        ],
        "type": "object"
      },
      "door_code": {
        "description": "The building door code or community gate code.",
        "maxLength": 1024,
        "type": [
          "string",
          "null"
        ],
        "examples": [
          "123456"
        ]
      },
      "email": {
        "description": "An email address.",
        "format": "email",
        "type": "string",
        "maxLength": 255,
        "examples": [
          "alan.watts@example.com"
        ]
      },
      "phone": {
        "description": "A phone number following E164 standards, in its globalized format, i.e. prepended with a plus sign.",
        "maxLength": 16,
        "type": "string",
        "examples": [
          "+12125550199"
        ]
      },
      "cart_discount": {
        "properties": {
          "amount": {
            "type": "number",
            "examples": [
              100
            ]
          },
          "code": {
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "SUMMER10DISCOUNT"
            ]
          },
          "description": {
            "description": "Used to define the discount offering.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "10% off our summer collection"
            ]
          },
          "details_url": {
            "description": "Used to provide a link to additional details, such as a landing page, associated with the discount offering.",
            "maxLength": 8192,
            "type": "string",
            "examples": [
              "https://boltswagstore.com/SUMMERSALE"
            ]
          },
          "discount_category": {
            "enum": [
              "coupon",
              "giftcard",
              "managed_giftcard",
              "store_credit",
              "automatic_promotion",
              "membership_discount",
              "membership_giftcard",
              "subscription_discount",
              "rewards_discount",
              "shipping_discount",
              "unknown"
            ],
            "type": "string"
          },
          "reference": {
            "description": "Used to define the reference ID associated with the discount available.",
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "DISC-1234"
            ]
          },
          "type": {
            "description": "The type of discount.",
            "enum": [
              "fixed_amount",
              "percentage",
              "free_shipping"
            ],
            "type": "string",
            "examples": [
              "percentage"
            ]
          }
        },
        "type": "object"
      },
      "cart_fee": {
        "properties": {
          "reference": {
            "description": "Unique reference used to identify the fee.",
            "maxLength": 1024,
            "nullable": false,
            "type": "string",
            "examples": [
              "ItemFee"
            ]
          },
          "name": {
            "description": "Name of the fee that will appear in the order ledger.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Item Fee"
            ]
          },
          "description": {
            "description": "Description of the fee that will appear in the tooltip if the mouse hovers over the fee.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Item Fee"
            ]
          },
          "unit_price": {
            "format": "int64",
            "nullable": false,
            "type": "number"
          },
          "unit_tax_amount": {
            "format": "int64",
            "nullable": false,
            "type": "number"
          },
          "quantity": {
            "format": "int64",
            "nullable": false,
            "type": "number"
          }
        },
        "required": [
          "reference",
          "name",
          "unit_price",
          "unit_tax_amount",
          "quantity"
        ],
        "type": "object"
      },
      "fulfillment": {
        "description": "Defines the shipments associated with the cart items.",
        "properties": {
          "cart_items": {
            "items": {
              "$ref": "#/components/schemas/cart_item"
            },
            "type": "array"
          },
          "cart_shipment": {
            "$ref": "#/components/schemas/cart_shipment"
          },
          "digital_delivery": {
            "$ref": "#/components/schemas/digital_delivery"
          },
          "in_store_cart_shipment": {
            "$ref": "#/components/schemas/in_store_cart_shipment"
          },
          "type": {
            "enum": [
              "physical_door_delivery",
              "physical_ship_to_store",
              "physical_in_store_pickup",
              "digital_download",
              "digital_no_delivery"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "cart_item": {
        "properties": {
          "brand": {
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bolt"
            ]
          },
          "category": {
            "description": "Used to define a product category associated with the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "bags"
            ]
          },
          "collections": {
            "$ref": "#/components/schemas/collections"
          },
          "color": {
            "description": "Used to define the color of the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bolt Blue"
            ]
          },
          "customizations": {
            "items": {
              "$ref": "#/components/schemas/cart_item_customization"
            },
            "type": "array"
          },
          "description": {
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Large tote with Bolt logo."
            ]
          },
          "details_url": {
            "description": "Used to provide a link to the item's product page.",
            "maxLength": 8192,
            "type": "string",
            "examples": [
              "https://boltswagstore.com/products/123456"
            ]
          },
          "external_inputs": {
            "$ref": "#/components/schemas/i_cart_item_external_inputs"
          },
          "gift_option": {
            "$ref": "#/components/schemas/cart_item_gift_option"
          },
          "image_url": {
            "description": "Used to provide a link to the image associated with the item.",
            "maxLength": 8192,
            "type": "string",
            "examples": [
              "https://boltswagstore.com/products/123456/images/1.png"
            ]
          },
          "isbn": {
            "description": "Used to define the International Standard Book Number associated with the book.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "9780091347314"
            ]
          },
          "item_group": {
            "type": [
              "string",
              "null"
            ]
          },
          "manufacturer": {
            "description": "Used to define the organization that manufactured the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bolt Textiles USA"
            ]
          },
          "merchant_product_id": {
            "$ref": "#/components/schemas/merchant_product_id"
          },
          "merchant_variant_id": {
            "$ref": "#/components/schemas/merchant_variant_id"
          },
          "msrp": {
            "format": "int64",
            "type": [
              "number",
              "null"
            ]
          },
          "name": {
            "maxLength": 1024,
            "minLength": 1,
            "type": "string",
            "examples": [
              "Bolt Swag Bag"
            ]
          },
          "options": {
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Special Edition"
            ]
          },
          "properties": {
            "items": {
              "$ref": "#/components/schemas/cart_item_property"
            },
            "type": "array"
          },
          "quantity": {
            "format": "int64",
            "maximum": 15000,
            "type": "number",
            "examples": [
              1
            ]
          },
          "reference": {
            "maxLength": 1024,
            "type": "string",
            "examples": [
              "item_100"
            ]
          },
          "shipment": {
            "$ref": "#/components/schemas/cart_shipment"
          },
          "shipment_type": {
            "enum": [
              "unknown",
              "door_delivery",
              "ship_to_store",
              "in_store_pickup"
            ],
            "type": "string"
          },
          "size": {
            "description": "Used to define the size of the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Large"
            ]
          },
          "sku": {
            "description": "Used to define the alpha-numberic Stock Keeping Unit associated with the item as it is mapped to your internal product catalogue.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "BOLT-SKU_100"
            ]
          },
          "source": {
            "type": [
              "string",
              "null"
            ]
          },
          "seller_id": {
            "description": "The unique identifier for the seller within the marketplace ecosystem. This field ensures deterministic multi-party payout calculations.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "seller-1234"
            ]
          },
          "tags": {
            "description": "Used to define a comma-separated list of tags associated with the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "tote, blue, linen, eco-friendly"
            ]
          },
          "tax_amount": {
            "description": "The tax amount for the item; this value should scale with the quantity of units selected.",
            "format": "int64",
            "type": [
              "number",
              "null"
            ],
            "examples": [
              0
            ]
          },
          "tax_code": {
            "maxLength": 32,
            "type": [
              "string",
              "null"
            ]
          },
          "taxable": {
            "type": [
              "boolean",
              "null"
            ]
          },
          "total_amount": {
            "description": "The total amount, in cents, of the item including its taxes if applicable.",
            "format": "int64",
            "type": "number",
            "examples": [
              1000
            ]
          },
          "type": {
            "enum": [
              "unknown",
              "digital",
              "physical",
              "bundled"
            ],
            "type": "string"
          },
          "unit_price": {
            "description": "The price of one unit of the item; for example, the price of one pack of socks.",
            "format": "int64",
            "type": "number",
            "examples": [
              1000
            ]
          },
          "uom": {
            "description": "Used to define the unit of measure used to describe the item.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "inches"
            ]
          },
          "upc": {
            "description": "Used to define the 12-digit Universal Product Code (a barcode) associated with the item worldwide.",
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "0825764603119"
            ]
          },
          "weight": {
            "format": "int64",
            "maximum": 10000,
            "type": [
              "number",
              "null"
            ],
            "examples": [
              10
            ]
          },
          "weight_unit": {
            "maxLength": 1024,
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "pounds"
            ]
          }
        },
        "required": [
          "reference",
          "name",
          "total_amount",
          "unit_price",
          "quantity"
        ],
        "type": "object"
      },
      "collections": {
        "items": {
          "$ref": "#/components/schemas/collection"
        },
        "type": "array"
      },
      "collection": {
        "type": "string",
        "examples": [
          "summer"
        ]
      },
      "cart_item_customization": {
        "properties": {
          "attributes": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object",
            "examples": [
              {
                "key1": "value1",
                "key2": "value2"
              }
            ]
          },
          "name": {
            "type": "string"
          },
          "price": {
            "format": "int64",
            "type": "number",
            "examples": [
              754
            ]
          }
        },
        "type": "object"
      },
      "i_cart_item_external_inputs": {
        "properties": {
          "shopify_line_item_reference": {
            "format": "int64",
            "type": "number"
          },
          "shopify_product_reference": {
            "format": "int64",
            "type": "number"
          },
          "shopify_product_variant_reference": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "cart_item_gift_option": {
        "description": "Contains the gift option settings for wrapping and custom messages.",
        "properties": {
          "cost": {
            "$ref": "#/components/schemas/cost"
          },
          "merchant_product_id": {
            "$ref": "#/components/schemas/merchant_product_id"
          },
          "message": {
            "$ref": "#/components/schemas/gift_options_message"
          },
          "wrap": {
            "$ref": "#/components/schemas/gift_options_wrap"
          }
        },
        "type": "object"
      },
      "cost": {
        "description": "The cost in cents.",
        "type": "integer",
        "examples": [
          770
        ]
      },
      "merchant_product_id": {
        "description": "The merchant's unique ID for the product.",
        "type": "string",
        "examples": [
          "881"
        ]
      },
      "gift_options_message": {
        "description": "Includes the gift message written by the shopper.",
        "type": "string",
        "examples": [
          "Happy Anniversary, Smoochy Poo!"
        ]
      },
      "gift_options_wrap": {
        "description": "Defines whether gift wrapping was requested.",
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "merchant_variant_id": {
        "description": "A merchant's unique ID for a given product's specific variant.",
        "type": "string",
        "examples": [
          "888"
        ]
      },
      "cart_item_property": {
        "properties": {
          "color": {
            "maxLength": 1024,
            "type": "string"
          },
          "display": {
            "type": "boolean"
          },
          "name": {
            "maxLength": 1024,
            "type": "string"
          },
          "name_id": {
            "format": "int64",
            "type": "number"
          },
          "value": {
            "maxLength": 1024,
            "type": "string"
          },
          "value_id": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "cart_shipment": {
        "description": "A cart that is being prepared for shipment",
        "properties": {
          "carrier": {
            "$ref": "#/components/schemas/carrier"
          },
          "cost": {
            "$ref": "#/components/schemas/cost"
          },
          "discounted_by_membership": {
            "$ref": "#/components/schemas/discount_membership"
          },
          "estimated_delivery_date": {
            "$ref": "#/components/schemas/estimated_delivery_date"
          },
          "expedited": {
            "$ref": "#/components/schemas/expedited"
          },
          "package_depth": {
            "$ref": "#/components/schemas/depth"
          },
          "package_dimension_unit": {
            "$ref": "#/components/schemas/dimension_unit"
          },
          "package_height": {
            "$ref": "#/components/schemas/height"
          },
          "package_type": {
            "$ref": "#/components/schemas/package_type"
          },
          "package_weight_unit": {
            "$ref": "#/components/schemas/weight_unit"
          },
          "package_width": {
            "$ref": "#/components/schemas/width"
          },
          "service": {
            "$ref": "#/components/schemas/service"
          },
          "shipping_address": {
            "$ref": "#/components/schemas/address"
          },
          "shipping_address_id": {
            "$ref": "#/components/schemas/shipping_address_id"
          },
          "shipping_method": {
            "$ref": "#/components/schemas/shipping_method"
          },
          "signature": {
            "$ref": "#/components/schemas/signature"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/tax_amount"
          },
          "tax_code": {
            "$ref": "#/components/schemas/tax_code"
          },
          "total_weight": {
            "description": "The total weight.",
            "type": "integer",
            "examples": [
              55
            ]
          },
          "total_weight_unit": {
            "$ref": "#/components/schemas/weight_unit"
          },
          "type": {
            "$ref": "#/components/schemas/cart_shipment_type"
          }
        },
        "type": "object"
      },
      "carrier": {
        "description": "The name of the carrier selected.",
        "type": "string",
        "examples": [
          "FedEx"
        ]
      },
      "discount_membership": {
        "description": "Defines if shopper has a membership discount.",
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "estimated_delivery_date": {
        "description": "The estimated delivery date.",
        "type": "string",
        "examples": [
          "08-30-2022"
        ]
      },
      "expedited": {
        "description": "True if shipment is expedited.",
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "depth": {
        "description": "The depth.",
        "type": "integer",
        "examples": [
          90
        ]
      },
      "dimension_unit": {
        "description": "The unit of measurement for an item's dimensions.",
        "type": "string",
        "examples": [
          "cm"
        ]
      },
      "height": {
        "description": "The height.",
        "type": "integer",
        "examples": [
          103
        ]
      },
      "package_type": {
        "description": "The type of package.",
        "type": "string",
        "examples": [
          "A big package."
        ]
      },
      "weight_unit": {
        "description": "The unit of measurement for an item's weight.",
        "type": "string",
        "examples": [
          "kg"
        ]
      },
      "width": {
        "description": "The width.",
        "type": "integer",
        "examples": [
          222
        ]
      },
      "service": {
        "description": "The service name.",
        "type": "string",
        "examples": [
          "Option 1"
        ]
      },
      "shipping_address_id": {
        "description": "ID for billing address",
        "type": "string",
        "examples": [
          "address1"
        ]
      },
      "shipping_method": {
        "description": "The name of the shipping method.",
        "type": "string",
        "examples": [
          "unknown"
        ]
      },
      "signature": {
        "description": "The signature.",
        "type": "string",
        "examples": [
          "a1B2s3dC4f5g5D6hj6E7k8F9l0"
        ]
      },
      "tax_amount": {
        "description": "Tax amount in cents.",
        "type": "integer",
        "examples": [
          230
        ]
      },
      "tax_code": {
        "description": "The relevant tax code.",
        "type": "string",
        "examples": [
          "tax-12345"
        ]
      },
      "cart_shipment_type": {
        "description": "The type corresponding to this shipment, if applicable.",
        "enum": [
          "door_delivery",
          "in_store_pickup",
          "ship_to_store",
          "ship_to_home_only",
          "unknown"
        ],
        "type": "string",
        "examples": [
          "door_delivery"
        ]
      },
      "digital_delivery": {
        "properties": {
          "email": {
            "type": "string"
          },
          "phone": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "in_store_cart_shipment": {
        "properties": {
          "cart_shipment": {
            "$ref": "#/components/schemas/cart_shipment"
          },
          "description": {
            "description": "Shipment option description.",
            "type": "string",
            "examples": [
              "Pick up in-store at 123 Main St."
            ]
          },
          "distance": {
            "format": "float64",
            "type": "number",
            "examples": [
              3
            ]
          },
          "distance_unit": {
            "enum": [
              "km",
              "mile"
            ],
            "type": "string",
            "examples": [
              "mile"
            ]
          },
          "in_store_pickup_address": {
            "$ref": "#/components/schemas/address"
          },
          "pickup_window_close": {
            "format": "date",
            "type": "integer"
          },
          "pickup_window_open": {
            "format": "date",
            "type": "integer"
          },
          "store_name": {
            "description": "The local store's name where the item can be picked up.",
            "type": "string",
            "examples": [
              "Bolt Collective"
            ]
          }
        },
        "type": "object"
      },
      "cart_loyalty_rewards": {
        "properties": {
          "amount": {
            "description": "The reward amount in cents (1/100).",
            "format": "int64",
            "type": "number"
          },
          "coupon_code": {
            "description": "The loyalty reward's coupon code.",
            "type": "string"
          },
          "description": {
            "description": "A description of the loyalty reward that will be shown to the shopper.",
            "type": "string",
            "examples": [
              "$5 off (100 Points)"
            ]
          },
          "details": {
            "description": "Internal-facing metadata for the Loyalty Rewards. Ideal for adding any other identifying information about the reward, including a duplication of the original loyalty reward json response from the loyalty provider as shown in the example provided. If you choose to use this field to hold json, enclose the content in single quotes to force a string value.",
            "type": "string",
            "examples": [
              "{\"id\": 123456, \"icon\": \"fa-dollar\", \"name\": \"$15.00 Off\", \"type\": \"Coupon\", \"amount\": 100, \"duration\": \"single_use\", \"cost_text\": \"150 Points\", \"description\": \"Get $15 off your next purchase for 150 points\", \"discount_type\": \"fixed_amount\", \"unrendered_name\": \"$15.00 Off\", \"discount_percentage\": null, \"discount_rate_cents\": null, \"discount_value_cents\": null, \"discount_amount_cents\": 1500, \"unrendered_description\": \"Get $15 off your next purchase for 150 points\", \"applies_to_product_type\": \"ALL\"}"
            ]
          },
          "points": {
            "description": "The number of points needed for this reward.",
            "format": "int64",
            "type": "number"
          },
          "source": {
            "description": "The loyalty rewards provider.",
            "type": "string"
          },
          "type": {
            "description": "The type of loyalty reward.",
            "type": "string"
          }
        },
        "type": "object"
      },
      "credit_card": {
        "description": "The credit_card object is used to to pay for guest-checkout transactions or save payment method details to an account. Once saved, you can reference the credit card with the associated `credit_card_id` for future transactions. Add `billing_address` to this if storing a billing address for a returning shopper.",
        "properties": {
          "billing_address": {
            "$ref": "#/components/schemas/address"
          },
          "bin": {
            "description": "The Bank Identification Number for the credit card; this is typically the first 4-6 digits of the credit card number.",
            "maxLength": 6,
            "minLength": 4,
            "type": "string",
            "examples": [
              "411111"
            ]
          },
          "expiration": {
            "description": "The expiration date of the credit card.",
            "type": "string",
            "examples": [
              "2025-11"
            ]
          },
          "last4": {
            "description": "The last 4 digits of the credit card number.",
            "maxLength": 4,
            "minLength": 4,
            "type": "string",
            "examples": [
              "1234"
            ]
          },
          "postal_code": {
            "description": "Used for the postal or zip code associated with the credit card.",
            "maxLength": 32,
            "type": "string",
            "examples": [
              "10044"
            ]
          },
          "priority": {
            "description": "Used to indicate the card's priority. '1' indicates primary, while '2' indicates a secondary card.",
            "enum": [
              1,
              2
            ],
            "type": "integer"
          },
          "save": {
            "description": "Determines whether or not the credit card will be saved to the shopper's account. Defaults to `true`.",
            "type": "boolean"
          },
          "token": {
            "description": "The Bolt token associated to the credit card.",
            "type": "string",
            "examples": [
              "a1B2c3D4e5F6G7H8i9J0k1L2m3N4o5P6Q7r8S9t0"
            ]
          },
          "token_type": {
            "description": "Used to define which payment processor generated the token for this credit card; for those using Bolt's tokenizer, the value must be `bolt`.",
            "enum": [
              "bolt"
            ],
            "type": "string",
            "examples": [
              "bolt"
            ]
          },
          "affirm_vcn_token": {
            "description": "The checkout token associated with Affirm VCN credit cards.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "a1B2c3D4e5F6G7H8i9J0k1L2m3N4o5P6Q7r8S9t0"
            ]
          }
        },
        "required": [
          "token",
          "last4",
          "bin",
          "expiration",
          "postal_code",
          "token_type"
        ],
        "type": "object"
      },
      "transaction_merchant_event_id": {
        "description": "The reference ID associated with a transaction event (auth, capture, refund, void). This is an arbitrary identifier created by the merchant. Bolt does not enforce any uniqueness constraints on this ID. It is up to the merchant to generate identifiers that properly fulfill its needs.",
        "type": "string",
        "examples": [
          "dbe0cd5d-3261-41d9-ba61-49e5b9d07567"
        ]
      },
      "previous_subscription_id": {
        "description": "The unique ID associated with to the shopper's previous subscription-based transaction. Leave `null` for standard, non-subscription transactions.",
        "type": [
          "string",
          "null"
        ],
        "examples": [
          null
        ]
      },
      "user_identifier": {
        "description": "The object containing key lookup IDs associated with the shopper's account, such as the unique email address and phone number.",
        "properties": {
          "artifact": {
            "type": "string",
            "examples": [
              null
            ]
          },
          "email": {
            "description": "The Shopper's email address that is used as a unique ID for the account. This email can be used to detect an account using the `/v1/account/exists` endpoint.",
            "$ref": "#/components/schemas/email"
          },
          "email_id": {
            "description": "The ID associated with the identifying email address for this account.",
            "type": "string",
            "examples": [
              null
            ]
          },
          "phone": {
            "description": "The Shopper's phone number that is used to help identify the account owner. This can be passed with the `user_identifier.email` to find and match accounts.",
            "$ref": "#/components/schemas/phone"
          },
          "phone_id": {
            "description": "The ID associated with the identifying phone number for this account.",
            "type": "string",
            "examples": [
              null
            ]
          }
        },
        "required": [
          "phone"
        ],
        "type": "object"
      },
      "user_identity": {
        "properties": {
          "first_name": {
            "$ref": "#/components/schemas/first_name"
          },
          "last_name": {
            "$ref": "#/components/schemas/last_name"
          }
        },
        "type": "object"
      },
      "first_name": {
        "description": "The person's first name.",
        "type": "string",
        "examples": [
          "Charlotte"
        ]
      },
      "last_name": {
        "description": "The person's last name.",
        "type": "string",
        "examples": [
          "Charles"
        ]
      },
      "merchant_credit_card_authorization_recharge": {
        "description": "This request is used for authorizing an existing, saved card associated with the account.",
        "properties": {
          "auto_capture": {
            "type": "boolean",
            "description": "This property determines how the transaction is processed after authorization. If set to `true`, the transaction is placed in a queue for automatic capture. This process is asynchronous, meaning the transaction may not immediately appear as captured after the authorization request. This is because the transaction is in a transitional state as it moves from authorization to capture. If `auto_capture` is set to `false`, the transaction is only authorized and must be manually captured."
          },
          "cart": {
            "allOf": [
              {
                "$ref": "#/components/schemas/cart_create"
              },
              {
                "description": "The cart_create object is a composite of the base_cart object and additional order details."
              }
            ]
          },
          "credit_card_id": {
            "description": "The unique ID associated to the saved credit card in the account's wallet.",
            "type": "string",
            "examples": [
              "SAeEcU1hpMobc"
            ]
          },
          "division_id": {
            "description": "The unique ID associated to the merchant's Bolt Account division; Merchants can have different divisions to suit multiple use cases (storefronts, pay-by-link, phone order processing). Use the Bolt Merchant Dashboard to switch between divisions and find the division ID under `Merchant Division Public ID`.",
            "type": "string",
            "examples": [
              "3X9aPQ67-YrB"
            ]
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "previous_transaction_id": {
            "$ref": "#/components/schemas/previous_subscription_id"
          },
          "processing_initiator": {
            "$ref": "#/components/schemas/processing_initiator"
          },
          "shipping_address": {
            "$ref": "#/components/schemas/address"
          },
          "source": {
            "enum": [
              "direct_payments"
            ],
            "type": "string"
          },
          "user_identifier": {
            "$ref": "#/components/schemas/user_identifier"
          },
          "user_identity": {
            "$ref": "#/components/schemas/user_identity"
          }
        },
        "required": [
          "cart",
          "credit_card_id",
          "division_id",
          "source",
          "user_identifier",
          "user_identity"
        ],
        "type": "object"
      },
      "processing_initiator": {
        "description": "Defines which payment method was used to initiate the transaction.",
        "enum": [
          "initial_card_on_file",
          "initial_recurring",
          "stored_cardholder_initiated",
          "stored_merchant_initiated",
          "following_recurring",
          "cardholder_initiated",
          "recurring"
        ],
        "type": "string",
        "examples": [
          "stored_cardholder_initiated"
        ]
      },
      "i_authorize_result_view": {
        "properties": {
          "did_create_bolt_account": {
            "type": "boolean"
          },
          "order_number": {
            "type": "string"
          },
          "transaction": {
            "$ref": "#/components/schemas/transaction_view"
          }
        },
        "type": "object"
      },
      "transaction_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "authorization": {
            "$ref": "#/components/schemas/credit_card_authorization_view"
          },
          "capture": {
            "$ref": "#/components/schemas/capture_view"
          },
          "captures": {
            "items": {
              "$ref": "#/components/schemas/credit_card_capture_view"
            },
            "type": "array"
          },
          "credit": {
            "$ref": "#/components/schemas/credit_card_credit_view"
          },
          "date": {
            "$ref": "#/components/schemas/transaction_date"
          },
          "from_consumer": {
            "$ref": "#/components/schemas/consumer_self_view"
          },
          "from_credit_card": {
            "$ref": "#/components/schemas/credit_card_view"
          },
          "id": {
            "$ref": "#/components/schemas/transaction_id"
          },
          "indemnification_decision": {
            "$ref": "#/components/schemas/transaction_indemnification_decision"
          },
          "indemnification_reason": {
            "$ref": "#/components/schemas/transaction_indemnification_reason"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "last_viewed_utc": {
            "format": "int64",
            "type": "number"
          },
          "merchant_division": {
            "$ref": "#/components/schemas/merchant_division_summary_view"
          },
          "merchant_order_number": {
            "type": "string"
          },
          "order_decision": {
            "$ref": "#/components/schemas/order_decision_details_view"
          },
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "reference": {
            "$ref": "#/components/schemas/transaction_reference"
          },
          "review_ticket": {
            "$ref": "#/components/schemas/review_ticket_view"
          },
          "risk_insights": {
            "$ref": "#/components/schemas/risk_model_external_result_view"
          },
          "risk_review_status": {
            "$ref": "#/components/schemas/risk_review_status"
          },
          "risk_score": {
            "format": "int64",
            "type": "integer"
          },
          "splits": {
            "items": {
              "$ref": "#/components/schemas/transaction_splits_view"
            },
            "type": "array"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_status"
          },
          "to_consumer": {
            "$ref": "#/components/schemas/consumer_self_view"
          },
          "to_credit_card": {
            "$ref": "#/components/schemas/credit_card_view"
          },
          "transaction_properties": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "key1": "value1",
                  "key2": "value2"
                }
              ]
            },
            "type": "object"
          },
          "type": {
            "$ref": "#/components/schemas/transaction_type"
          },
          "void": {
            "$ref": "#/components/schemas/credit_card_void_view"
          },
          "view_status": {
            "enum": [
              "not_viewed",
              "viewed",
              "viewing"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "amount_view": {
        "properties": {
          "amount": {
            "format": "int64",
            "type": "number",
            "examples": [
              754
            ]
          },
          "currency": {
            "type": "string",
            "examples": [
              "USD"
            ]
          },
          "currency_symbol": {
            "type": "string",
            "examples": [
              "$"
            ]
          }
        },
        "type": "object"
      },
      "credit_card_authorization_view": {
        "properties": {
          "auth": {
            "type": "string"
          },
          "avs_response": {
            "enum": [
              "00",
              "01",
              "02",
              "10",
              "11",
              "12",
              "13",
              "14",
              "20",
              "30",
              "31",
              "32",
              "33",
              "34",
              "40",
              "adyen_",
              "adyen_A",
              "adyen_N",
              "adyen_U",
              "adyen_S",
              "adyen_R",
              "adyen_W",
              "adyen_T",
              "adyen_Z",
              "adyen_D",
              "adyen_F",
              "adyen_M",
              "adyen_X",
              "adyen_Y",
              "adyen_B",
              "adyen_P",
              "adyen_C",
              "adyen_G",
              "adyen_I",
              "adyen_K"
            ],
            "type": "string"
          },
          "cvv_response": {
            "enum": [
              "M",
              "N",
              "P",
              "S",
              "U",
              "D",
              "X",
              "Y",
              "1",
              "2",
              "3",
              "pass",
              "fail",
              "unavailable",
              "unchecked",
              "braintree_M",
              "braintree_N",
              "braintree_U",
              "braintree_B",
              "braintree_A",
              "braintree_I",
              "braintree_S",
              "CVV2"
            ],
            "type": "string"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "processor": {
            "enum": [
              "vantiv",
              "adyen_payfac",
              "adyen_gateway",
              "stripe",
              "braintree",
              "cybersource",
              "nmi",
              "authorize_net",
              "radial",
              "shopify_payments",
              "rocketgate"
            ],
            "type": "string"
          },
          "reason": {
            "$ref": "#/components/schemas/credit_card_authorization_reason"
          },
          "status": {
            "$ref": "#/components/schemas/credit_card_authorization_status"
          }
        },
        "type": "object"
      },
      "credit_card_authorization_reason": {
        "description": "The reason code explaining the authorization status.\n  * `1` - none\n  * `2` - invalid_amount\n  * `3` - invalid_cvv\n  * `4` - invalid_cc_number\n  * `5` - expired\n  * `6` - risk\n  * `7` - lost_stolen\n  * `8` - call_issuer\n  * `9` - invalid_merchant_for_card\n  * `10` - unsupported_payment_method\n",
        "enum": [
          "none",
          "invalid_amount",
          "invalid_cvv",
          "invalid_cc_number",
          "expired",
          "risk",
          "lost_stolen",
          "call_issuer",
          "invalid_merchant_for_card",
          "unsupported_payment_method",
          "processor_server_error"
        ],
        "type": "string"
      },
      "credit_card_authorization_status": {
        "description": "The status of the authorization request.\n  * `1` - succeeded\n  * `2` - declined\n  * `3` - error\n",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "capture_view": {
        "description": "Deprecated. Use `captures`.",
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "id": {
            "$ref": "#/components/schemas/capture_id"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "description": "Additional information about the capture. For example, the processor capture ID. **Nullable** for Transactions Details.",
            "additionalProperties": {
              "type": "string"
            },
            "type": "object"
          },
          "splits": {
            "description": "A split of fees by type and amount. **Nullable** for Transactions Details.",
            "items": {
              "description": "A split of fees by type and amount.",
              "properties": {
                "amount": {
                  "$ref": "#/components/schemas/amount_view"
                },
                "type": {
                  "description": "Fee type options. **Nullable** for Transactions Details.\n",
                  "enum": [
                    "net",
                    "processing_fee",
                    "risk_fee",
                    "apm_fee",
                    "network_fee",
                    "platform_fee",
                    "bolt_account_fee"
                  ],
                  "type": "string",
                  "examples": [
                    "processing_fee"
                  ]
                }
              },
              "type": "object"
            },
            "type": "array"
          },
          "status": {
            "$ref": "#/components/schemas/capture_status"
          }
        },
        "type": "object"
      },
      "capture_id": {
        "description": "The unique ID for the capture. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "BcDE4fafd2a4"
        ]
      },
      "capture_status": {
        "description": "The status of the capture. **Nullable** for Transactions Details.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      },
      "credit_card_capture_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "id": {
            "$ref": "#/components/schemas/capture_id"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "metadata": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "key1": "value1",
                  "key2": "value2"
                }
              ]
            },
            "type": "object"
          },
          "splits": {
            "$ref": "#/components/schemas/transaction_splits_view"
          },
          "status": {
            "$ref": "#/components/schemas/capture_status"
          }
        },
        "type": "object"
      },
      "transaction_splits_view": {
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount_view"
          },
          "type": {
            "enum": [
              "net",
              "processing_fee",
              "float",
              "reserve",
              "adjustment",
              "bolt_fee"
            ],
            "type": "string"
          }
        },
        "type": "object"
      },
      "credit_card_credit_view": {
        "allOf": [
          {
            "$ref": "#/components/schemas/credit_card_credit_status"
          },
          {
            "properties": {
              "merchant_event_id": {
                "$ref": "#/components/schemas/transaction_merchant_event_id"
              }
            }
          }
        ]
      },
      "credit_card_credit_status": {
        "properties": {
          "status": {
            "description": "The status of the refund to a card.",
            "enum": [
              "succeeded",
              "declined",
              "error",
              "pending",
              "in progress"
            ],
            "type": "string",
            "examples": [
              "succeeded"
            ]
          }
        },
        "type": "object"
      },
      "transaction_date": {
        "description": "Transaction date. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          1615407159447
        ]
      },
      "consumer_self_view": {
        "allOf": [
          {
            "$ref": "#/components/schemas/consumer_summary_view"
          },
          {
            "properties": {
              "authentication": {
                "$ref": "#/components/schemas/login_view"
              },
              "email_verified": {
                "type": "boolean"
              },
              "emails": {
                "items": {
                  "$ref": "#/components/schemas/email_view"
                },
                "type": "array"
              },
              "first_name": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "last_name": {
                "type": "string"
              },
              "phones": {
                "items": {
                  "$ref": "#/components/schemas/phone_view"
                },
                "type": "array"
              },
              "platform_account_status": {
                "enum": [
                  "none",
                  "linked",
                  "unlinked"
                ],
                "type": "string"
              }
            },
            "type": "object"
          }
        ]
      },
      "consumer_summary_view": {
        "properties": {
          "first_name": {
            "description": "The given name of the person associated with this record.",
            "type": "string",
            "examples": [
              "Alan"
            ]
          },
          "id": {
            "type": "string"
          },
          "last_name": {
            "description": "The surname of the person associated with this record.",
            "type": "string",
            "examples": [
              "Watts"
            ]
          }
        },
        "type": "object"
      },
      "login_view": {
        "properties": {
          "actions": {
            "items": {
              "enum": [
                "set_password",
                "rotate_password"
              ],
              "type": "string"
            },
            "type": "array"
          },
          "methods": {
            "items": {
              "enum": [
                "code",
                "code_password",
                "password",
                "rotate_password"
              ],
              "type": "string"
            },
            "type": "array"
          },
          "sso_authorization_url": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "email_view": {
        "properties": {
          "address": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "priority": {
            "$ref": "#/components/schemas/priority"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "priority": {
        "description": "Describes the card's priority.\n",
        "enum": [
          "primary",
          "listed"
        ],
        "type": "string",
        "examples": [
          "primary"
        ]
      },
      "phone_view": {
        "properties": {
          "country_code": {
            "description": "Used for the 2-digit ISO 3166-1 alpha 2 country code associated with this address.",
            "type": "string",
            "examples": [
              "US"
            ]
          },
          "id": {
            "type": "string"
          },
          "number": {
            "type": "string"
          },
          "priority": {
            "enum": [
              "primary",
              "listed"
            ],
            "type": "string"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "credit_card_view": {
        "description": "Contains details about the credit card transaction.",
        "properties": {
          "billing_address": {
            "$ref": "#/components/schemas/address_view"
          },
          "bin": {
            "$ref": "#/components/schemas/card_bin"
          },
          "display_network": {
            "$ref": "#/components/schemas/card_display_network"
          },
          "expiration": {
            "$ref": "#/components/schemas/card_expiration"
          },
          "icon_asset_path": {
            "$ref": "#/components/schemas/icon_asset_path"
          },
          "id": {
            "$ref": "#/components/schemas/card_id"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "network": {
            "$ref": "#/components/schemas/card_network"
          },
          "priority": {
            "$ref": "#/components/schemas/priority"
          },
          "status": {
            "$ref": "#/components/schemas/card_status"
          },
          "token": {
            "$ref": "#/components/schemas/card_token"
          },
          "token_type": {
            "$ref": "#/components/schemas/card_token_type"
          }
        },
        "type": "object"
      },
      "address_view": {
        "description": "The address object returned in the response.",
        "properties": {
          "company": {
            "description": "The company name associated with this address.",
            "type": "string",
            "examples": [
              "Bolt"
            ]
          },
          "country": {
            "description": "The name of the country associated with this address.",
            "type": "string",
            "examples": [
              "United States"
            ]
          },
          "country_code": {
            "description": "The ISO 3166-1 alpha-2 country code associated with this address.",
            "type": "string",
            "examples": [
              "US"
            ]
          },
          "door_code": {
            "$ref": "#/components/schemas/door_code"
          },
          "email_address": {
            "description": "The email address associated with this address.",
            "$ref": "#/components/schemas/email"
          },
          "first_name": {
            "description": "The given name of the person associated with this address.",
            "type": "string",
            "examples": [
              "Alan"
            ]
          },
          "id": {
            "description": "The unique Bolt ID associated with this address.",
            "type": "string"
          },
          "last_name": {
            "description": "The surname of the person associated with this address.",
            "type": "string",
            "examples": [
              "Watts"
            ]
          },
          "locality": {
            "description": "The city name details associated with this address.",
            "type": "string",
            "examples": [
              "Brooklyn"
            ]
          },
          "name": {
            "description": "The given and surname of the person associated with this address.",
            "type": "string",
            "examples": [
              "Alan Watts"
            ]
          },
          "phone_number": {
            "description": "The phone number associated with this address.",
            "$ref": "#/components/schemas/phone"
          },
          "postal_code": {
            "description": "The postal or zip code associated with this address.",
            "maxLength": 32,
            "type": "string",
            "examples": [
              "10044"
            ]
          },
          "priority": {
            "description": "The shopper-indicated priority of this address compared to other addresses on their account.",
            "type": [
              "string",
              "null"
            ],
            "enum": [
              "primary",
              "listed"
            ],
            "examples": [
              "primary"
            ]
          },
          "region": {
            "description": "The region details such as state or province associated with this address.",
            "type": "string",
            "examples": [
              "NY"
            ]
          },
          "region_code": {
            "description": "The the ISO 3166-2 region code associated with this address.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "NY"
            ]
          },
          "street_address1": {
            "description": "The street number and street name of the address.",
            "type": "string",
            "examples": [
              "888 main street"
            ]
          },
          "street_address2": {
            "description": "Any apartment, floor, or unit details.",
            "type": "string",
            "examples": [
              "apt 3021"
            ]
          },
          "street_address3": {
            "description": "Any additional street address details.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "c/o Alicia Watts"
            ]
          },
          "street_address4": {
            "description": "Any additional street address details.",
            "type": [
              "string",
              "null"
            ],
            "examples": [
              "Bridge Street Apartment Building B"
            ]
          }
        },
        "type": "object"
      },
      "card_bin": {
        "description": "The Bank Identification Number for the credit card; this is typically the first 4-6 digits of the credit card number. **Nullable** for Transactions Details.",
        "maxLength": 6,
        "minLength": 4,
        "type": "string",
        "examples": [
          "402201"
        ]
      },
      "card_display_network": {
        "description": "The card's network. **Nullable** for Transactions Details.",
        "enum": [
          "Credit Card",
          "American Express",
          "Diners Club",
          "Discover",
          "JCB",
          "MasterCard",
          "Union Pay",
          "Visa"
        ],
        "type": "string",
        "examples": [
          "Visa"
        ]
      },
      "card_expiration": {
        "description": "The card's expiration. **Nullable** for Transactions Details.",
        "type": "integer",
        "examples": [
          1654041600000
        ]
      },
      "icon_asset_path": {
        "description": "The asset link for displayed icons. This link varies depending on payment method used.  **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "img/issuer-logos/visa.png"
        ]
      },
      "card_id": {
        "description": "The card's ID. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "AB3rJKam5DhYE"
        ]
      },
      "card_last4": {
        "description": "The card's last 4 digits. **Nullable** for Transactions Details.",
        "maxLength": 4,
        "minLength": 4,
        "type": "string",
        "examples": [
          "4021"
        ]
      },
      "card_network": {
        "description": "The card's network code. **Nullable** for Transactions Details. Note: LEGACY diners_club_us_ca now tagged as mastercard\n",
        "enum": [
          "visa",
          "mastercard",
          "amex",
          "discover",
          "dinersclub",
          "jcb",
          "unionpay",
          "alliancedata",
          "citiplcc",
          "unknown"
        ],
        "type": "string",
        "examples": [
          "visa"
        ]
      },
      "card_status": {
        "description": "The card's status. **Nullable** for Transactions Details.",
        "enum": [
          "active",
          "created",
          "inactive",
          "transient"
        ],
        "type": "string",
        "examples": [
          "active"
        ]
      },
      "card_token": {
        "description": "The Bolt token associated to the credit card. Required for new, unsaved cards.",
        "type": "string",
        "examples": [
          "a1B2c3D4e5F6G7H8i9J0k1L2m3N4o5P6Q7r8S9t0"
        ]
      },
      "card_token_type": {
        "description": "Used to define which payment processor generated the token for this credit card.\n",
        "enum": [
          "vantiv",
          "applepay",
          "bolt",
          "stripe",
          "plcc",
          "applepay_encrypted_blob"
        ],
        "type": "string",
        "examples": [
          "bolt"
        ]
      },
      "transaction_id": {
        "description": "The unique ID associated with the transaction. **Nullable** for Transactions Details.",
        "type": "string",
        "examples": [
          "T1c3p4yBuVYJ9"
        ]
      },
      "transaction_indemnification_decision": {
        "description": "Describes whether the transaction is indemnified by Bolt for fraud.\n",
        "enum": [
          "unknown",
          "indemnified",
          "not_indemnified"
        ],
        "type": "string",
        "examples": [
          "indemnified"
        ]
      },
      "transaction_indemnification_reason": {
        "description": "Describes the reason that the transaction is or is not indemnified by Bolt for fraud.\n",
        "enum": [
          "unknown",
          "checkout",
          "virtual_terminal",
          "merchant_back_office",
          "merchant_force_approved",
          "reversibly_rejected",
          "irreversibly_rejected",
          "risk_engine_approved",
          "analyst_approved",
          "auth_verification",
          "paypal",
          "afterpay",
          "direct_payments",
          "whitelist",
          "external_review",
          "affirm",
          "merchant_ip_address",
          "amazon_pay",
          "apple_pay",
          "phone_order",
          "klarna",
          "cardholder_authentication",
          "address_change_rejected",
          "indemnify_direct_payments",
          "indemnify_virtual_terminal",
          "membership_subscription",
          "embedded_guest_checkout",
          "risk_assessment_only",
          "sezzle",
          "credova",
          "subscription",
          "indemnify_apm_transaction"
        ],
        "type": "string",
        "examples": [
          "merchant_force_approved"
        ]
      },
      "merchant_division_summary_view": {
        "properties": {
          "account_page_url": {
            "type": "string"
          },
          "api_base_domain_url": {
            "type": "string"
          },
          "base_domain_url": {
            "type": "string"
          },
          "confirmation_redirect_url": {
            "type": "string"
          },
          "create_order_url": {
            "type": "string"
          },
          "debug_url": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "display_name": {
            "type": "string"
          },
          "get_account_url": {
            "type": "string"
          },
          "shopper_custom_fields_updated_url": {
            "type": "string"
          },
          "hook_type": {
            "enum": [
              "1",
              "2",
              "3",
              "4",
              "5",
              "6"
            ],
            "type": "string"
          },
          "hook_url": {
            "type": "string"
          },
          "id": {
            "type": "string"
          },
          "is_universal_merchant_api": {
            "type": "boolean"
          },
          "is_webhooks_v2": {
            "type": "boolean"
          },
          "logo": {
            "$ref": "#/components/schemas/merchant_division_logo_view"
          },
          "logo_dashboard": {
            "$ref": "#/components/schemas/merchant_division_logo_view"
          },
          "merchant_id": {
            "type": "string"
          },
          "mobile_app_domain_url": {
            "type": "string"
          },
          "oauth_logout_url": {
            "type": "string"
          },
          "oauth_redirect_url": {
            "type": "string"
          },
          "platform": {
            "type": "string"
          },
          "plugin_config_url": {
            "type": "string"
          },
          "privacy_policy_url": {
            "type": "string"
          },
          "product_info_url": {
            "type": "string"
          },
          "public_id": {
            "type": "string"
          },
          "remote_apiurl": {
            "type": "string"
          },
          "shipping_and_tax_url": {
            "type": "string"
          },
          "shipping_url": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "tax_url": {
            "type": "string"
          },
          "terms_of_service_url": {
            "type": "string"
          },
          "universal_merchant_api_url": {
            "type": "string"
          },
          "update_cart_url": {
            "type": "string"
          },
          "use_async_refunds_amazon_pay": {
            "type": "boolean"
          },
          "use_async_refunds_paypal": {
            "type": "boolean"
          },
          "validate_additional_account_data_url": {
            "type": "string"
          },
          "merchant_password_login_url": {
            "description": "(Optional) Link shoppers can use to log into a merchant store via the Bolt SSO modal.",
            "type": "string",
            "examples": [
              "https://www.example.com/login"
            ]
          }
        },
        "type": "object"
      },
      "merchant_division_logo_view": {
        "properties": {
          "domain": {
            "type": "string"
          },
          "resource": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "order_decision_details_view": {
        "properties": {
          "decision_factors": {
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "score": {
            "format": "int64",
            "type": "number"
          }
        },
        "type": "object"
      },
      "transaction_processor": {
        "description": "The processor used. **Nullable** for Transactions Details.",
        "enum": [
          "adyen_gateway",
          "adyen_payfac",
          "affirm",
          "afterpay",
          "alliance_data",
          "amazon_pay",
          "authorize_net",
          "braintree",
          "checkout_com",
          "cybersource",
          "first_data",
          "klarna",
          "nmi",
          "orbital",
          "paypal",
          "radial",
          "radial_klarna",
          "radial_paypal",
          "rocketgate",
          "sezzle",
          "shopify_payments",
          "stripe",
          "vantiv"
        ],
        "type": "string",
        "examples": [
          "adyen_gateway"
        ]
      },
      "transaction_reference": {
        "description": "The transaction's 12-digit Bolt reference ID. **Nullable** for Transactions Details.",
        "maxLength": 12,
        "minLength": 12,
        "type": "string",
        "examples": [
          "LBLJ-TWW7-R9VC"
        ]
      },
      "review_ticket_view": {
        "properties": {
          "id": {
            "type": "string"
          },
          "request_deadline": {
            "format": "int64",
            "type": "number"
          },
          "status": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "risk_model_external_result_view": {
        "properties": {
          "available": {
            "type": "boolean"
          },
          "decision_factors": {
            "description": "Used to list a total of up to 5 decision factors used by the risk model to determine the risk analysis result.",
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "fraud_probability": {
            "format": "int",
            "type": "number"
          },
          "payment_instrument_factors": {
            "additionalProperties": {
              "type": "string",
              "examples": [
                {
                  "factor1": "factor1",
                  "factor2": "factor2"
                }
              ]
            },
            "type": "object"
          }
        },
        "type": "object"
      },
      "risk_review_status": {
        "description": "Describes the current Risk Review status. A transaction could be unreviewed, reviewed, or pending manual review by the Bolt team.",
        "enum": [
          "unknown",
          "needs_review",
          "reviewed"
        ],
        "type": "string",
        "examples": [
          "reviewed"
        ]
      },
      "transaction_status": {
        "description": "The transaction's status.",
        "enum": [
          "in_progress",
          "completed",
          "cancelled",
          "failed",
          "pending",
          "created",
          "authorized",
          "rejected_reversible",
          "rejected_irreversible"
        ],
        "type": "string",
        "examples": [
          "cancelled"
        ]
      },
      "transaction_type": {
        "description": "The type of transaction.",
        "enum": [
          "cc_payment",
          "cc_credit",
          "funding_transfer",
          "processing_fee_transfer",
          "reserve_transfer",
          "float_transfer",
          "merchant_credit",
          "merchant_debit",
          "funding_withdrawal",
          "processing_fee_withdrawal",
          "zero_amount",
          "bolt_fee_transfer",
          "bolt_fee_withdrawal",
          "bank_account_verification",
          "authorization_verification",
          "paypal_payment",
          "paypal_refund",
          "apm_payment",
          "apm_refund",
          "zero_amount_verification"
        ],
        "type": "string",
        "examples": [
          "cc_payment"
        ]
      },
      "credit_card_void_view": {
        "properties": {
          "cause": {
            "$ref": "#/components/schemas/credit_card_void_cause"
          },
          "merchant_event_id": {
            "$ref": "#/components/schemas/transaction_merchant_event_id"
          },
          "status": {
            "$ref": "#/components/schemas/credit_card_void_status"
          },
          "void": {
            "description": "The void ID returned from the payment processor.",
            "type": "string",
            "examples": [
              "123456"
            ]
          }
        },
        "type": "object"
      },
      "credit_card_void_cause": {
        "description": "Specifies why this particular transaction is voided.",
        "enum": [
          "merchant_action",
          "paypal_sync",
          "amazon_pay_sync",
          "irreversible_reject",
          "auth_expire",
          "auth_verification_expired",
          "payment_method_updater",
          null
        ],
        "type": "string"
      },
      "credit_card_void_status": {
        "description": "The status of the void request.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "type": "string",
        "examples": [
          "succeeded"
        ]
      }
    },
    "securitySchemes": {
      "OAuth": {
        "description": "Bolt utilizes the OAuth flow that developers can use to attain access to Bolt Account data via APIs.\nFor all APIs that require authorization, please provide your `access_token` returned from `/v1/oauth/token` via the basic auth bearer header `Authorization: bearer ${TOKEN}`.\n[Read more about the OAuth token endpoint.](/api-bolt/#tag/OAuth)\n",
        "flows": {
          "authorizationCode": {
            "authorizationUrl": "https://api.boltapp.com/v1/oauth/authorize",
            "refreshUrl": "https://api.boltapp.com/v1/oauth/token",
            "scopes": {
              "bolt.account.manage": "This scope grants permissions to perform read/edit/delete actions on Bolt Account data",
              "bolt.account.view": "This scope grants permissions to perform read only actions on Bolt Account data",
              "openid": "This scope grants permissions that enable Bolt SSO by granting an id token JWT that stores account data. Not used in v1/account endpoints"
            },
            "tokenUrl": "https://api.boltapp.com/v1/oauth/token"
          }
        },
        "type": "oauth2"
      },
      "X-API-Key": {
        "description": "Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.",
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
